unit Example;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, DBSort, Register;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Memo1: TMemo;
    BitBtn2: TBitBtn;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  OrderArray:SortArray;
  FieldArray:FieldsArray;

implementation

{$R *.DFM}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin

  { General Syntax:                                                                              }
  {                                                                                              }
  { SortTable(Number of Fields, Which Fields, Ascending or Descending, Input table, Output table,}
  {           Alias, Remove Duplicate Records                                                    }

  { The non-registered version only sorts non keyed tables, you must use nil for output table    }
  { If you try to sort a keyed table, you will receive a Capability Not Supported Error          }

  { This example sorts a NON-KEYED table named "INPUT.DB" into itself using the alias :TEST: }
  { It sorts by column 5 in Descending Order and then column 3 in Ascending Order            }
  { The "2" stands for sorting by 2 different columns }
  { The order array is always the same length as the field array! }

  OrderArray[0]:=1;                   { This sorts Desc }
  OrderArray[1]:=0;                   { This sorts Asc }
  FieldArray[0]:=5;                   { Use Field 5 }
  FieldArray[1]:=3;                   { Then use Field 3 }

  SortTable(2,FieldArray,OrderArray,'INPUT.DB',nil,'TEST',FALSE);


end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  RegisterForm.Show;
end;

end.
